Bug 874015 - Need Enable=Socket in /etc/bluetooth/audio.conf for A2DP devices to work with PulseAudio
Need Enable=Socket in /etc/bluetooth/audio.conf for A2DP devices to work with...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 04:35 EST by Luke Hutchison
Modified: 2014-09-13 14:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 18:34:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Hutchison 2012-11-07 04:35:04 EST
By default in F18, A2DP devices fail to connect as audio sinks, giving error messages like:

bt_audio_service_open: connect() failed: Connection refused (111)
W: [pulseaudio] module-bluetooth-device.c: Bluetooth audio service not available
E: [pulseaudio] bluetooth-util.c: Failed to acquire transport fd: Input/output error
E: [pulseaudio] module.c: Failed to load module "module-bluetooth-device" (argument: "address="00:21:3C:57:24:B0" path="/org/bluez/639/hci0/dev_00_21_3C_57_24_B0""): initialization failed.

The fix is to put the following into /etc/bluetooth/audio.conf: 

[General]
Enable=Socket

Shouldn't this be set up by default in bluez?
Comment 1 Fedora Update System 2012-11-21 12:29:15 EST
bluez-4.101-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bluez-4.101-4.fc18
Comment 2 Fedora Update System 2012-11-21 12:44:35 EST
bluez-4.101-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bluez-4.101-5.fc18
Comment 3 Fedora Update System 2012-11-21 15:54:43 EST
Package bluez-4.101-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bluez-4.101-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18715/bluez-4.101-4.fc18
then log in and leave karma (feedback).
Comment 4 Martin 2012-11-23 10:37:52 EST
Luke are you able to reproduce this bug with Fedora 18 Beta RC1 image?
http://dl.fedoraproject.org/pub/alt/stage/18-Beta-RC1/
Comment 5 Luke Hutchison 2012-11-23 18:34:06 EST
Martin: I installed bluez-4.101-5.fc18, and it does add the Enable=Socket configuration option by default. Thank you.
Comment 6 Fedora Update System 2012-12-07 23:33:02 EST
bluez-4.101-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-01-10 06:02:38 EST
bluez-4.101-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bluez-4.101-6.fc18
Comment 8 Fedora Update System 2013-02-05 12:04:15 EST
bluez-4.101-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.